'use strict';var wellKnownSymbol=require('./well-known-symbol-d17f132e.js'),arrayMethodIsStrict=require('./array-method-is-strict-46936434.js');var nativeJoin = [].join;

var ES3_STRINGS = wellKnownSymbol.i != Object;
var STRICT_METHOD = arrayMethodIsStrict.a('join', ',');

// `Array.prototype.join` method
// https://tc39.es/ecma262/#sec-array.prototype.join
wellKnownSymbol._({ target: 'Array', proto: true, forced: ES3_STRINGS || !STRICT_METHOD }, {
  join: function join(separator) {
    return nativeJoin.call(wellKnownSymbol.f(this), separator === undefined ? ',' : separator);
  }
});